curl --request GET \
--url https://openapi.pleo.io/v1/tag-groups/{tagGroupId}/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.pleo.io/v1/tag-groups/{tagGroupId}/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.pleo.io/v1/tag-groups/{tagGroupId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"tagGroupId": "0f0e000-000d-0d00-000b-00db0d000fae",
"attributeValues": [
{
"attributeId": "0f0e000-000d-0d00-000b-00db0d000fae",
"value": "<string>"
}
],
"displayOrder": 123,
"hidden": true
}
]{
"statusCode": 401,
"error": "Forbidden",
"message": "user_scope_insufficient"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "user_scope_insufficient"
}"route not found""Something went wrong. Please contact the administrator if problems persist."Get all tags for a specified tag group
Authorizations
Open API Bearer token
Path Parameters
Unique UUID of the tag group.
"0f0e000-000d-0d00-000b-00db0d000fae"
Query Parameters
This flag allows you fetch only tags that have been hidden/archived if set to true or tags that are still actively in use if set to false. By default it will only fetch active tags.
Response
Tags have been returned
This is the internal pleo identifier of the tag
"0f0e000-000d-0d00-000b-00db0d000fae"
This is the internal pleo identifier of the tag group this tag belongs to
"0f0e000-000d-0d00-000b-00db0d000fae"
These are the attributes and their values assigned to this tag
Show child attributes
Show child attributes
This is the display order position for this tag when displayed in a list.
This flag specifies if the tag is hidden and not visible for use in pleo when tagging expenses.
Was this page helpful?